function init()
	e.addGFX("rockdebris1.png")
	e.addGFX("rockdebris2.png")
	e.addGFX("rockdebris3.png")
	e.addGFX("rockdebris4.png")
	e.animated = 0
	e.layer = 3
	e.setRGB(120,120,120)
	
	e.interval = 0
	e.num = 8--overwritten
	
	e.lifetimer = 0
	--e.lifetimer = 12000
	--e.lifetimerVar = 400
	
	e.speed = 130
	e.speedVar = 100
	e.accel = -3.0
	e.accelVar = 1
	
	e.dist = 1
	e.distVar = .15
	--e.distSpeedVar = .005
	
	e.rotVar = 180
	e.movrotVar = 180
	
	e.spin = 0
	e.spinVar = 3
	
	e.scale = .75
	e.scaleVar = .5
	
	--e.dist = 1 + ((layer-2)*.025)
	--e.distSpeedVar = ((layer-2)*.002)
	--e.camshake = 1
	
	--e.setRGB(150, 150, 150)
	
	return 0
end


